@echo off
cls
IF %NETWORK%==ON %boot%:\als\util\butil -stop
IF %NETWORK%==ON c:\btrieveB /M:64 /P:4096 /F:25 /U:3
IF %NETWORK%==ON z:\public\brequest /D:4096
cls
rem -----------------------------------------------------------------
rem   Copying database
rem -----------------------------------------------------------------
IF !%1==! GOTO NOMSG
IF !%2==! GOTO NOMSG
IF NOT EXIST %1\LLUDRL.DAT GOTO NOSOURCE

rem -----------------------------------------------------------------
rem   Checking Existing DTB
rem -----------------------------------------------------------------
echo .
echo . Warning, The Target database must not be in used by any Station ...
echo .
echo . That copy will erase the previous database directory
echo .
echo . Do you want to continue ? (Y/N) ...
@%boot%:\als\util\Getletr
@if ERRORLEVEL 25 GOTO START
GOTO FIN

:START
@butil -reset >nul
@MD %2 >NUL
cls
echo Please Wait ...

@IF exist %1\LLUASC.DAT  butil -copy %1\LLUASC.DAT  %2\LLUASC.DAT
@IF exist %1\LLUBHA.DAT  butil -copy %1\LLUBHA.DAT  %2\LLUBHA.DAT
@IF exist %1\LLUBHA2.DAT  butil -copy %1\LLUBHA2.DAT  %2\LLUBHA.DAT
@IF exist %1\LLUBIT.DAT  butil -copy %1\LLUBIT.DAT  %2\LLUBIT.DAT
@IF exist %1\LLUCOR.DAT  butil -copy %1\LLUCOR.DAT  %2\LLUCOR.DAT
@IF exist %1\LLUDLG.DAT  butil -copy %1\LLUDLG.DAT  %2\LLUDLG.DAT
@IF exist %1\LLUDRL.DAT  butil -copy %1\LLUDRL.DAT  %2\LLUDRL.DAT
@IF exist %1\LLUGENI.DAT butil -copy %1\LLUGENI.DAT %2\LLUGENI.DAT
@IF exist %1\LLULITH.DAT butil -copy %1\LLULITH.DAT %2\LLULITH.DAT
@IF exist %1\LLULOG.DAT  butil -copy %1\LLULOG.DAT  %2\LLULOG.DAT
@IF exist %1\LLUMANU.DAT butil -copy %1\LLUMANU.DAT %2\LLUMANU.DAT
@IF exist %1\LLUMISC.DAT butil -copy %1\LLUMISC.DAT %2\LLUMISC.DAT
@IF exist %1\LLUMUD.DAT  butil -copy %1\LLUMUD.DAT  %2\LLUMUD.DAT
@IF exist %1\LLUMWD.DAT  butil -copy %1\LLUMWD.DAT  %2\LLUMWD.DAT
@IF exist %1\LLUPHAS.DAT butil -copy %1\LLUPHAS.DAT %2\LLUPHAS.DAT
@IF exist %1\LLURDEV.DAT butil -copy %1\LLURDEV.DAT %2\LLURDEV.DAT
@IF exist %1\LLUSTAT.DAT butil -copy %1\LLUSTAT.DAT %2\LLUSTAT.DAT
@IF exist %1\LLUTDEV.DAT butil -copy %1\LLUTDEV.DAT %2\LLUTDEV.DAT
@IF exist %1\LLUTRP1.DAT butil -copy %1\LLUTRP1.DAT %2\LLUTRP1.DAT
@IF exist %1\LLUTRP2.DAT butil -copy %1\LLUTRP2.DAT %2\LLUTRP2.DAT
@IF exist %1\LPUUNIT.DAT butil -copy %1\LPUUNIT.DAT %2\LPUUNIT.DAT

@copy %1\llusect.DAT        %2\*.* >NUL
@copy %1\llusymb.pic        %2\*.* >NUL
@copy %1\lluf*.DAT          %2\*.* >NUL

@echo Restore OK ...
GOTO FIN

rem -----------------------------------------------------------------
rem   NO Msg
rem -----------------------------------------------------------------
:NOMSG
echo .
echo .
echo Please enter a Backup path and a Target Database path  ...
echo .
echo    Exemple: BCOPY n:\database\demo n:\database\save or
echo    -------        n:\database\demo c:\backup
echo .
echo    Note: The Batch will create the directory if not exist .
echo    -----
echo .
GOTO FIN

rem -----------------------------------------------------------------
rem   No Source
rem -----------------------------------------------------------------
:NOSOURCE
echo .
echo .
echo Backup not found in the given Backup path ... %1
echo .
echo .
GOTO FIN

rem -----------------------------------------------------------------
rem   No Source
rem -----------------------------------------------------------------
:NOSOURCE
echo No Sources Database found ...
GOTO FIN

rem -----------------------------------------------------------------
rem   No Target
rem -----------------------------------------------------------------
:NOTARGET
echo No Target Directory ...
GOTO FIN

rem -----------------------------------------------------------------
rem   END of Backup
rem -----------------------------------------------------------------
:FIN
IF %NETWORK%==ON %boot%:\als\util\butil -stop
IF %NETWORK%==ON z:\public\brequest /D:4096
